## org.apache.mahout.vectorizer.term
Class TermDocumentCountReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.LongWritable>
          org.apache.mahout.vectorizer.term.TermDocumentCountReducer

    public class TermDocumentCountReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.LongWritable>

Can also be used as a local Combiner. This accumulates all the features and the weights and sums them up.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`TermDocumentCountReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.IntWritable key, java.lang.Iterable<org.apache.hadoop.io.LongWritable> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermDocumentCountReducer

    public TermDocumentCountReducer()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.IntWritable key,
                          java.lang.Iterable<org.apache.hadoop.io.LongWritable> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws java.io.IOException,
                          java.lang.InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.LongWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.